

# <center>Fab Academy Week 7</center>
# <center> CNC</center>

<center>![](assets/)</center>


<!---

Explained how you made your files for machining
Shown how you made something BIG (setting up the machine, testing joints etc)
Described problems and how you fixed them
Included your design files and ‘hero shot’ photos of final object

 The editable files should be in the corresponding week, and if you have in another week, you should add a link to that week and explain it.
Explain how did you calculate the chipload
Very nice step by step documentation, but you should also write the general setting for cnc (feeds and speeds, depth…..)
Explain a bit more how to set up the milling machine. (xy zero, Z zero, etc..)
List the basic characteristic of the machine you are working with (name, dimension, Working area, etc..). Add link to software and machine webpage. Also to the manual.
I love the summary of the most important points of the milling process
Nice rule: Check -> doublecheck -> recheck!
Amazing bonus the documentation of Good Enough CNC and Fusion CAM process !! Thanks!
Could you include the generically readable forms such as DXFs for the Rhino files?
Explain how you calculated the Chipload calculation. [Take_a_look] (https://pub.pages.cba.mit.edu/feed_speeds/)
What tolerance/margin did you use?
I did not see any errors, it’s hard to believe …😉 I encourage you to document the errors since you can get them as much as the hits. Especially if you explain how you solved it.
Do the Gcode files generated by fusion work well without any change? If not, can you explain what you changed?
Missing files
I really like your introductions on the key concepts that are going to be treated in the assignment! Congrats!! Maybe sometimes I miss more images that support the text ;)
Explain how you designed your object in fusion 360, with images and text;)
Did you do a test to check the tolerances in the press fit solution? What conclusion did you get?
I would like to see more information about milling strategies in Fusion 360.
Design and Fabrication design files should be in gitlab repository.
Very nice step by step documentation! Also the Chipload calculation! well done
Add link to software and machine webpage you are mentioning.
I did not see any errors, it’s hard to believe …😉 I encourage you to document the errors since you can get them as much as the hits. Especially if you explain how you solved it.
Missing readable forms files such as DXFs, STLs…think that there are a lot of people who do not have access to Rhino, and maybe they want to replicate your project;)
I would like to see more information about design process.
Congrats! Amazing week!   -->

##### **Resources:**
* http://academy.cba.mit.edu/classes/computer_machining/index.html
* http://fab.academany.org/2019/labs/barcelona/local/wa/week7/
* https://makezine.com/2012/04/13/cnc-panel-joinery-notebook/

This week I teamed up with [Jess](https://mdef.gitlab.io/jessica.guy/fabacademy/computer_controlled_machining/) to make a bar/ table for our classroom balcony.

I started off ambitious and thought I could adjust a ready made file of [AtFab’s Parametric One to Several Table](http://atfab.co/?portfolio=one-to-several-table) but we decided it may be overkill and a bad use of material for the narrow space we had.

Also once I started adjusting the drawings I realised it is easier to avoid mistakes if you start from the beginning yourself.

![](assets/adjustedtable.png)


## Making files for machining (2D or 3D) on Rhino

Jess designed the bar using Rhino and nested her pieces to scale in millimetres onto a template of the 2400 x 1250 x 15 plywood.

Luckily we measured the piece of wood before cutting and the average thickness of the plywood was 15.2 mm.

Jess **checked the drawing for duplicate lines and made sure that all curves were closed**.

We tried to **nest the components** along the width of the piece leaving 20mm clearance between cuts. We were pleased that the entire thing fit on half a board!

![](assets/nested.png)

## Setting up the RhinoCam file


We used the [RhinoCAM](https://mecsoft.com/rhinocam-mill/) plug in to set the movements for the CNC Machine.
This is an interface that turns paths and tools settings into G Code that instructs the CNC machine how to move. Here's what the menu looks like.

![](assets/RhinoCAMmenu.jpg)


**We set the material or stock** as 15mm plywood

**We set the tool**

![](assets/selecttool.jpg)
![](assets/machinetoolset.jpg)


We had to set up 3 different types of cuts:
- screws
- pockets
- profiles

Here are the settings we used


| Setting in RhinoCAm   |  engraving for the screws     | pocketing for the cut outs  | profiling |
| -- |:--------| ----|-|
| Machine Operations | two axes, engraving| two axes, pocketing | two axes, profiling|
| Drive containment regions   |  selected all the points for the screws | first only one of the cut outs for the pocketing  |   first only one of the cut outs for the pocketing|
| Clearance Plane   | make sure the machine moves up in the Z axes when going to the next job |  as before | as before |
| Tool |  add the 6 mm end mill to the library with the help of our Fab Lab manager. feeds and speeds are saved in the tool |   as before |as before|
| Cut Parameters | climb (down cut). In Cut depth control Total cut depth we put in the 15.2 mm of the material and another 0.3 - 0.4 mm to make sure it cut all the way through so we  put 15.5 mm . Finish Depth  4 mm  related to the diameter of the end mill (6 mm) and with every layer the machine goes it should only go about half of the size of the end mill. |  climb (down cut) which is the direction of the spindle and ticked the box use outside/ inside for closed curves and then Inside |  climb (down cut) which is the direction of the spindle and ticked the box use outside/ inside for closed curves and then Outside as we want the inside of our design. |
| Advanced cut parameters | none|none | added bridges to the profile to make sure that the pieces stay in place after profiling cut |
|  Entry / Exit   |     if it possible use NONE in both settings.   | as before  | If it is not possible to choose NONE then we are able to choose the entry of the tool the same line or with point of entry. For plastic for example it would be better to have a point of entry. For the wood we used on the same line.|
| Feeds and Speeds | as set in the tool   |   as set in the tool|  as set in the tool |
| Sorting   |  minimum distance so that the machine is using the fastest way between the cutting pieces  |  as before    |  as before |
| |   | |||


Cut parameters window

![](assets/axisprofiling.jpg)


Adding bridges in Advance cut parameters tab  to keep the pieces in place while the whole piece was being cut.

![](assets/setting bridges.jpg)



After selecting each set of settings we clicked "generate". The items to be pocketed were selected in the drawing and added to the appropriate layer.

We exported:
- one engraving file for screws
-  and a second pocketing and profiling file








Jess has saved the Rhino cam file [here](https://gitlab.com/MDEF/jessica.guy/blob/master/_fabacademy/week-07/190310_MDEFBar.zip)



## Setting up the machine

### Set the origin

In the machine user software we set "Jog/ Setup".
we used the arrow controls to "manually" move the the X and Y zero of the board to 20mm from the corner nearest us. we had aligned our files so that the origin was in the bottom left corner.

![](assets/machinecontrols.jpg)

To set the z axis we put a reflector under the mill moved it to the point just above the reflector and clicked an automatic tool that measures the correct distance by clicking "custom, set Z axis".


### Run the first file to cut screw holes.

We imported the first file to cut the holes

### Screwing down the piece

![](assets/screwdown.jpg)

### Run the second file to pocket and profile Cutting the pieces

![](assets/cutting.jpg)

and we got this...

![](assets/cutpieces.jpg)

### Cutting the bridges

We cut the bridges with a hand held jigsaw which was very satisfying as the pieces started emerging

### Sanding the edges

We sanded the edges using an electric sander as well as hand sanding the holes. Mikel helped us to sand the top of the legs slightly more to enable and easier assembly.


## Oh no! We forgot to move a hole when we nested the cut lines!

And this is what happens when you do that

![](assets/pennydrops.png)

So we had to cut one leg again

![](assets/tryagain.png)


## Hero shot!


![](assets/finishedproduct.png)

We were quite pleased that the table was useful without being something you couldn't take apart and make into something else. It is light but it's just right for our class balcony (Jess is an excellent designer!).

I was also relieved that we didn't use my original tweaked design because there were so many more opportunities for objects to not be moved or nested correctly.

## Takeaway

CNC machining requires quite a bit more planning than laser cutting due to the different ways you can use the mill and how different endmill shapes behaves in different directions or climbs. There's a lot to know but it was interesting to hear from Eduardo that you can hear if the cut is going well or not.

Also theres a bit more work involved in the finishing stage than with laser cutting.

I'm glad I didn't chop my finger off.
